To install the WIF SDK you must first install the WIF runtime which requires the .NET 3.5 framework to be installed. If the .NET framework is not installed before performing the WIF runtime, the KB974405 setup shows error "The update is not applicable to your computer."

Follow these steps to install the WIF SDK:

  1. Install the .NET framework 3.5 on the computer
  2. install the Windows Identity Foundation runtime (
  3. Install the Windows Identity Foundation SDK (